<nav class="sidebar sidebar-offcanvas" id="sidebar" style="background-color:dark !important">
  <ul class="nav">
    <li class="nav-item" [ngClass]="{ 'active': dashboard.isActive }" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/dashboard" routerLinkActive #dashboard="routerLinkActive">
        <span class="menu-title">Inicio</span>
        <i class="mdi mdi-home menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': role.isActive }" *ngIf="rolName == 'administrador'">
      <a class="nav-link" routerLink="/role" routerLinkActive #role="routerLinkActive">
        <span class="menu-title">Roles</span>
        <i class="mdi mdi-account-multiple menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': category.isActive }" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/category" routerLinkActive #category="routerLinkActive">
        <span class="menu-title">Categorias</span>
        <i class="mdi mdi-sitemap menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{'active' : users.isActive || homes.isActive || footers.isActive }" *ngIf="rolName == 'administrador'">
      <a class="nav-link" (click)="adminCollapsed = !adminCollapsed" [attr.aria-expanded]="adminCollapsed" aria-controls="ui-basic">
        <span class="menu-title">Admin</span>
        <i class="menu-arrow"></i>
        <i class="mdi mdi-account-key menu-icon"></i>
      </a>
      <div class="collapse" id="ui-basic" [ngbCollapse]="!adminCollapsed">
        <ul class="nav flex-column sub-menu">
          <li class="nav-item"> <a class="nav-link" routerLink="/admin/users" routerLinkActive="active"
              #users="routerLinkActive">Usuarios</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="/admin/home" routerLinkActive="active"
              #homes="routerLinkActive">Editar inicio </a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="/admin/footer" routerLinkActive="active"
              #footers="routerLinkActive">Editar footer</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="/admin/about" routerLinkActive="active"
              #abouts="routerLinkActive">Editar nosotros</a></li>
        </ul>
      </div>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': ingredient.isActive }" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/tipe-ingredient" routerLinkActive #ingredient="routerLinkActive">
        <span class="menu-title">Ingredientes</span>
        <i class="mdi mdi-food-variant menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': brand.isActive }" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/brand" routerLinkActive #brand="routerLinkActive">
        <span class="menu-title">Marca</span>
        <i class="mdi mdi-format-annotation-plus menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': client.isActive }" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/client" routerLinkActive #client="routerLinkActive">
        <span class="menu-title">Clientes</span>
        <i class="mdi mdi-human-male-female menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{'active' : todos.isActive || hoy.isActive || maniana.isActive}" *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" (click)="pedidosCollapsed = !pedidosCollapsed" [attr.aria-expanded]="pedidosCollapsed" aria-controls="ui-basic">
        <span class="menu-title">Pedidos</span>
        <i class="menu-arrow"></i>
        <i class="mdi mdi-cart-plus menu-icon"></i>
      </a>
      <div class="collapse" id="ui-basic" [ngbCollapse]="!pedidosCollapsed">
        <ul class="nav flex-column sub-menu">
          <li class="nav-item"> <a class="nav-link" routerLink="/order/all" routerLinkActive="active"
              #todos="routerLinkActive">Todos</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="/order/today" routerLinkActive="active"
              #hoy="routerLinkActive">Hoy</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="/order/tomorrow" routerLinkActive="active"
              #maniana="routerLinkActive">Mañana</a></li>
        </ul>
      </div>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': producto.isActive }"  *ngIf="(rolName == 'profesional' || rolName == 'administrador')">
      <a class="nav-link" routerLink="/tipe-product" routerLinkActive #producto="routerLinkActive">
        <span class="menu-title">Productos</span>
        <i class="mdi mdi-cake menu-icon"></i>
      </a>
    </li>
    <!-- <li class="nav-item" [ngClass]="{'active' : accordions.isActive || buttons.isActive || badges.isActive || breadcrumbs.isActive || dropdowns.isActive || modals.isActive || notifications.isActive || progressbar.isActive || pagination.isActive || tabs.isActive || typography.isActive || tooltips.isActive }">
      <a class="nav-link" (click)="uiBasicCollapsed = !uiBasicCollapsed" [attr.aria-expanded]="uiBasicCollapsed" aria-controls="ui-basic">
        <span class="menu-title">Basic UI Elements</span>
        <i class="menu-arrow"></i>
        <i class="mdi mdi-crosshairs-gps menu-icon"></i>
      </a>
      <div class="collapse" id="ui-basic" [ngbCollapse]="!uiBasicCollapsed">
        <ul class="nav flex-column sub-menu">
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/accordions" routerLinkActive="active"
              #accordions="routerLinkActive">Accordions</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/buttons" routerLinkActive="active"
              #buttons="routerLinkActive">Buttons</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/badges" routerLinkActive="active"
              #badges="routerLinkActive">Badges</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/breadcrumbs" routerLinkActive="active"
              #breadcrumbs="routerLinkActive">Breadcrumbs</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/dropdowns" routerLinkActive="active"
              #dropdowns="routerLinkActive">Dropdowns</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/modals" routerLinkActive="active"
              #modals="routerLinkActive">Modals</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/notifications" routerLinkActive="active"
              #notifications="routerLinkActive">Notifications</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/progressbar" routerLinkActive="active"
              #progressbar="routerLinkActive">Progress bar</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/pagination" routerLinkActive="active"
              #pagination="routerLinkActive">Pagination</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/tabs" routerLinkActive="active"
              #tabs="routerLinkActive">Tabs</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/typography" routerLinkActive="active"
              #typography="routerLinkActive">Typography</a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="basic-ui/tooltips" routerLinkActive="active"
              #tooltips="routerLinkActive">Tooltips</a></li>
        </ul>
      </div>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': forms.isActive }">
      <a class="nav-link" routerLink="forms/basic-elements" routerLinkActive #forms="routerLinkActive">
        <span class="menu-title">Form elements</span>
        <i class="mdi mdi-format-list-bulleted menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': charts.isActive }">
      <a class="nav-link" routerLink="charts/chartjs" routerLinkActive #charts="routerLinkActive">
        <span class="menu-title">Charts</span>
        <i class="mdi mdi-chart-bar menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': tables.isActive }">
      <a class="nav-link" routerLink="tables/basic-table" routerLinkActive #tables="routerLinkActive">
        <span class="menu-title">Tables</span>
        <i class="mdi mdi-table-large menu-icon"></i>
      </a>
    </li>
    <li class="nav-item" [ngClass]="{ 'active': icons.isActive }">
      <a class="nav-link" routerLink="icons/mdi" routerLinkActive #icons="routerLinkActive">
        <span class="menu-title">Icons</span>
        <i class="mdi mdi-contacts menu-icon"></i>
      </a>
    </li>
    <li class="nav-item"
      [ngClass]="{ 'active' : blankPage.isActive || login.isActive || register.isActive || error404.isActive || error500.isActive }">
      <a class="nav-link" (click)="samplePagesCollapsed = !samplePagesCollapsed"
        [attr.aria-expanded]="samplePagesCollapsed" aria-controls="auth">
        <span class="menu-title">Sample Pages</span>
        <i class="menu-arrow"></i>
        <i class="mdi mdi-medical-bag menu-icon"></i>
      </a>
      <div class="collapse" id="auth" [ngbCollapse]="!samplePagesCollapsed">
        <ul class="nav flex-column sub-menu">
          <li class="nav-item"> <a class="nav-link" routerLink="general-pages/blank-page" routerLinkActive="active"
              #blankPage="routerLinkActive"> Blank Page </a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="user-pages/login" routerLinkActive="active"
              #login="routerLinkActive"> Login </a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="user-pages/register" routerLinkActive="active"
              #register="routerLinkActive"> Register </a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="error-pages/404" routerLinkActive="active"
              #error404="routerLinkActive"> 404 </a></li>
          <li class="nav-item"> <a class="nav-link" routerLink="error-pages/500" routerLinkActive="active"
              #error500="routerLinkActive"> 500 </a></li>
        </ul>
      </div>
    </li>  -->
  </ul>
</nav>